Update a contact
curl --request PATCH \
--url https://app.alvahq.com/api/v1/contact/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "",
"lastName": "",
"email": "",
"companyId": "",
"title": "",
"phone": "",
"mobile": "",
"linkedin": "",
"twitter": "",
"notes": "",
"department": "",
"seniorityLevel": "",
"additionalEmails": [],
"additionalPhones": [],
"linkedinUrl": "",
"doNotContact": false,
"doNotContactReason": "",
"customFields": {}
}
'import requests
url = "https://app.alvahq.com/api/v1/contact/{id}"
payload = {
"firstName": "",
"lastName": "",
"email": "",
"companyId": "",
"title": "",
"phone": "",
"mobile": "",
"linkedin": "",
"twitter": "",
"notes": "",
"department": "",
"seniorityLevel": "",
"additionalEmails": [],
"additionalPhones": [],
"linkedinUrl": "",
"doNotContact": False,
"doNotContactReason": "",
"customFields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '',
lastName: '',
email: '',
companyId: '',
title: '',
phone: '',
mobile: '',
linkedin: '',
twitter: '',
notes: '',
department: '',
seniorityLevel: '',
additionalEmails: [],
additionalPhones: [],
linkedinUrl: '',
doNotContact: false,
doNotContactReason: '',
customFields: {}
})
};
fetch('https://app.alvahq.com/api/v1/contact/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.alvahq.com/api/v1/contact/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => '',
'lastName' => '',
'email' => '',
'companyId' => '',
'title' => '',
'phone' => '',
'mobile' => '',
'linkedin' => '',
'twitter' => '',
'notes' => '',
'department' => '',
'seniorityLevel' => '',
'additionalEmails' => [
],
'additionalPhones' => [
],
'linkedinUrl' => '',
'doNotContact' => false,
'doNotContactReason' => '',
'customFields' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.alvahq.com/api/v1/contact/{id}"
payload := strings.NewReader("{\n \"firstName\": \"\",\n \"lastName\": \"\",\n \"email\": \"\",\n \"companyId\": \"\",\n \"title\": \"\",\n \"phone\": \"\",\n \"mobile\": \"\",\n \"linkedin\": \"\",\n \"twitter\": \"\",\n \"notes\": \"\",\n \"department\": \"\",\n \"seniorityLevel\": \"\",\n \"additionalEmails\": [],\n \"additionalPhones\": [],\n \"linkedinUrl\": \"\",\n \"doNotContact\": false,\n \"doNotContactReason\": \"\",\n \"customFields\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.alvahq.com/api/v1/contact/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"\",\n \"lastName\": \"\",\n \"email\": \"\",\n \"companyId\": \"\",\n \"title\": \"\",\n \"phone\": \"\",\n \"mobile\": \"\",\n \"linkedin\": \"\",\n \"twitter\": \"\",\n \"notes\": \"\",\n \"department\": \"\",\n \"seniorityLevel\": \"\",\n \"additionalEmails\": [],\n \"additionalPhones\": [],\n \"linkedinUrl\": \"\",\n \"doNotContact\": false,\n \"doNotContactReason\": \"\",\n \"customFields\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.alvahq.com/api/v1/contact/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"\",\n \"lastName\": \"\",\n \"email\": \"\",\n \"companyId\": \"\",\n \"title\": \"\",\n \"phone\": \"\",\n \"mobile\": \"\",\n \"linkedin\": \"\",\n \"twitter\": \"\",\n \"notes\": \"\",\n \"department\": \"\",\n \"seniorityLevel\": \"\",\n \"additionalEmails\": [],\n \"additionalPhones\": [],\n \"linkedinUrl\": \"\",\n \"doNotContact\": false,\n \"doNotContactReason\": \"\",\n \"customFields\": {}\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@acme.com",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "VP of Engineering",
"phone": "<string>",
"mobile": "<string>",
"linkedin": "<string>",
"twitter": "<string>",
"notes": "<string>",
"department": "<string>",
"seniorityLevel": "<string>",
"additionalEmails": [
"<string>"
],
"additionalPhones": [
"<string>"
],
"linkedinUrl": "<string>",
"customFields": {},
"doNotContact": true,
"doNotContactReason": "<string>",
"doNotContactAt": "2023-11-07T05:31:56Z",
"emailConfidence": 123,
"companyVerified": true,
"seniorityScore": 123,
"isEconomicBuyer": true,
"emailAvailable": true,
"phoneAvailable": true,
"mobileRevealStatus": "<string>",
"inboundSource": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"resource": "<string>"
}{
"error": "Unauthorised",
"message": "Invalid or revoked API key"
}{
"error": "Not Found",
"message": "Company with id 'xxx' not found"
}{
"error": "Unprocessable Entity",
"message": "Validation failed",
"details": {
"name": [
"Name is required"
]
}
}Contacts
Update a contact
PATCH
/
api
/
v1
/
contact
/
{id}
Update a contact
curl --request PATCH \
--url https://app.alvahq.com/api/v1/contact/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "",
"lastName": "",
"email": "",
"companyId": "",
"title": "",
"phone": "",
"mobile": "",
"linkedin": "",
"twitter": "",
"notes": "",
"department": "",
"seniorityLevel": "",
"additionalEmails": [],
"additionalPhones": [],
"linkedinUrl": "",
"doNotContact": false,
"doNotContactReason": "",
"customFields": {}
}
'import requests
url = "https://app.alvahq.com/api/v1/contact/{id}"
payload = {
"firstName": "",
"lastName": "",
"email": "",
"companyId": "",
"title": "",
"phone": "",
"mobile": "",
"linkedin": "",
"twitter": "",
"notes": "",
"department": "",
"seniorityLevel": "",
"additionalEmails": [],
"additionalPhones": [],
"linkedinUrl": "",
"doNotContact": False,
"doNotContactReason": "",
"customFields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '',
lastName: '',
email: '',
companyId: '',
title: '',
phone: '',
mobile: '',
linkedin: '',
twitter: '',
notes: '',
department: '',
seniorityLevel: '',
additionalEmails: [],
additionalPhones: [],
linkedinUrl: '',
doNotContact: false,
doNotContactReason: '',
customFields: {}
})
};
fetch('https://app.alvahq.com/api/v1/contact/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.alvahq.com/api/v1/contact/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => '',
'lastName' => '',
'email' => '',
'companyId' => '',
'title' => '',
'phone' => '',
'mobile' => '',
'linkedin' => '',
'twitter' => '',
'notes' => '',
'department' => '',
'seniorityLevel' => '',
'additionalEmails' => [
],
'additionalPhones' => [
],
'linkedinUrl' => '',
'doNotContact' => false,
'doNotContactReason' => '',
'customFields' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.alvahq.com/api/v1/contact/{id}"
payload := strings.NewReader("{\n \"firstName\": \"\",\n \"lastName\": \"\",\n \"email\": \"\",\n \"companyId\": \"\",\n \"title\": \"\",\n \"phone\": \"\",\n \"mobile\": \"\",\n \"linkedin\": \"\",\n \"twitter\": \"\",\n \"notes\": \"\",\n \"department\": \"\",\n \"seniorityLevel\": \"\",\n \"additionalEmails\": [],\n \"additionalPhones\": [],\n \"linkedinUrl\": \"\",\n \"doNotContact\": false,\n \"doNotContactReason\": \"\",\n \"customFields\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.alvahq.com/api/v1/contact/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"\",\n \"lastName\": \"\",\n \"email\": \"\",\n \"companyId\": \"\",\n \"title\": \"\",\n \"phone\": \"\",\n \"mobile\": \"\",\n \"linkedin\": \"\",\n \"twitter\": \"\",\n \"notes\": \"\",\n \"department\": \"\",\n \"seniorityLevel\": \"\",\n \"additionalEmails\": [],\n \"additionalPhones\": [],\n \"linkedinUrl\": \"\",\n \"doNotContact\": false,\n \"doNotContactReason\": \"\",\n \"customFields\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.alvahq.com/api/v1/contact/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"\",\n \"lastName\": \"\",\n \"email\": \"\",\n \"companyId\": \"\",\n \"title\": \"\",\n \"phone\": \"\",\n \"mobile\": \"\",\n \"linkedin\": \"\",\n \"twitter\": \"\",\n \"notes\": \"\",\n \"department\": \"\",\n \"seniorityLevel\": \"\",\n \"additionalEmails\": [],\n \"additionalPhones\": [],\n \"linkedinUrl\": \"\",\n \"doNotContact\": false,\n \"doNotContactReason\": \"\",\n \"customFields\": {}\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@acme.com",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "VP of Engineering",
"phone": "<string>",
"mobile": "<string>",
"linkedin": "<string>",
"twitter": "<string>",
"notes": "<string>",
"department": "<string>",
"seniorityLevel": "<string>",
"additionalEmails": [
"<string>"
],
"additionalPhones": [
"<string>"
],
"linkedinUrl": "<string>",
"customFields": {},
"doNotContact": true,
"doNotContactReason": "<string>",
"doNotContactAt": "2023-11-07T05:31:56Z",
"emailConfidence": 123,
"companyVerified": true,
"seniorityScore": 123,
"isEconomicBuyer": true,
"emailAvailable": true,
"phoneAvailable": true,
"mobileRevealStatus": "<string>",
"inboundSource": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"resource": "<string>"
}{
"error": "Unauthorised",
"message": "Invalid or revoked API key"
}{
"error": "Not Found",
"message": "Company with id 'xxx' not found"
}{
"error": "Unprocessable Entity",
"message": "Validation failed",
"details": {
"name": [
"Name is required"
]
}
}Authorizations
API key from Settings > Developer. Format: alva_sk_...
Path Parameters
The contact ID
Body
application/json
All fields are optional — send only the properties you want to update. In the interactive playground (the "Test Request" panel) the JSON body is fully editable; type over any value and delete the properties you don't need. Blank fields are ignored.
All fields are optional. Only included fields will be updated.